Upgrade simplecharts to new Boilerplate (AMD) structure

3
The Simplechart widget is not compatible with Mendix 6, probably because of deprecated libraries or the new AMD structure. Does anyone else experiences the same problem? Does anybody has an idea how to fix this? Could use some help here :) Thank you in advance!
asked
1 answers
2

Richard, I checked the SimpleChart widget again (after our last contact) and it seems one of our MVP's, Andries Smit, has created a pull request for the AMD setup back in March last year. It hasn't been pulled in yet.

  • I have created a new branch on the Github repository to work on a MX6 compatible version: mx6
  • I'll pull in Andries' pull request on this branch. Then it's a matter of testing and maybe updating. (check deprecations)
  • If everything works in MX5.21 ├índ MX6, I'll merge this branch to master and update the widget in the AppStore.

Anyone who wants to work on this widget? It is Community supported, so I'd like Community members to provide us with the pull requests. I will review the code later this week. If I have time I'll try to code as well.

answered